Subject: Re: bug#17330: files.el cd-absolute overcome false negative from file-executable-p

From: Glenn Morris <[email-masked]>
Date: Mon, 12 May 2014 03:10:27 -0400

(Please keep 17330@debbugs cc'd)

Philip Hodges wrote:

> The new f-a-d-p completely ignores permissions

This is trivially falsifiable:

ls -ld foo
drwx------ 2 root root 4096 May 12 00:04 foo/

as normal user:
(file-accessible-directory-p "foo")  ; -> nil

> , and it looks like it is called in all directory check contexts
> before changing directory or running a process with it as cwd, so I
> don't see any way it can refuse to try to cd to a directory.

M-x cd foo RET
cd-absolute: Cannot cd to /home/gm/foo/:  Permission denied

> As for "anything else": I wonder if it will tell me I cannot
> start a process to execute a regular file on my share...

I give up. Whatever you say.